# Uses of Interface
com.sun.source.tree.PatternTree

Packages that use PatternTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).

## Uses of PatternTree in com.sun.source.tree

Subinterfaces of PatternTree in com.sun.source.tree
Modifier and Type
Interface
Description
`interface`
`AnyPatternTree`
A tree node for a binding pattern that matches a pattern with a variable of any name and a type of the match candidate; an unnamed pattern.
`interface`
`BindingPatternTree`
A binding pattern tree
`interface`
`DeconstructionPatternTree`
A deconstruction pattern tree.
Methods in com.sun.source.tree that return PatternTree
Modifier and Type
Method
Description
`PatternTree`
InstanceOfTree.`getPattern()`
Returns the tested pattern, or `null` if this `instanceof` does not use a pattern.
`PatternTree`
PatternCaseLabelTree.`getPattern()`
The pattern for the case.
Methods in com.sun.source.tree that return types with arguments of type PatternTree
Modifier and Type
Method
Description
`List<? extends PatternTree>`
DeconstructionPatternTree.`getNestedPatterns()`
Returns the nested patterns.